%define upstream_name	 Imager
%define upstream_version 0.94

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for generating 24 bit images
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Imager/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(XSLoader)
BuildRequires: fontconfig-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: perl-devel
BuildRequires: t1lib-devel
BuildRequires: ungif-devel
%description
Imager is a module for creating and altering images. It can read and write
various image formats, draw primitive shapes like lines,and polygons, blend
multiple images together in various ways, scale, crop, render text and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
IM_SUPPRESS_PROMPT=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes GIF ICO JPEG META.yml MYMETA.yml PNG README SGI TIFF samples
%{perl_vendorarch}/Imager.pm
%{perl_vendorarch}/Imager
%{perl_vendorarch}/auto/Imager
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.940.0-2.mga3
+ Revision: 368741
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.940.0-1.mga3
+ Revision: 342237
- update to 0.94

* Wed Oct 17 2012 jquelin <jquelin> 0.930.0-1.mga3
+ Revision: 307577
- update to 0.93

* Mon Sep 17 2012 jquelin <jquelin> 0.920.0-1.mga3
+ Revision: 295244
- update to 0.92

* Tue Jun 05 2012 jquelin <jquelin> 0.910.0-1.mga3
+ Revision: 255105
- update to 0.91

* Wed May 30 2012 jquelin <jquelin> 0.880.0-2.mga3
+ Revision: 250779
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 0.880.0-1.mga2
+ Revision: 213017
- update to 0.88

* Wed Jan 04 2012 jquelin <jquelin> 0.870.0-1.mga2
+ Revision: 190610
- update to 0.87

* Sun Dec 25 2011 fwang <fwang> 0.860.0-2.mga2
+ Revision: 187421
- rebuild for new lbitff

* Wed Nov 09 2011 jquelin <jquelin> 0.860.0-1.mga2
+ Revision: 165825
- update to 0.86

* Mon Sep 19 2011 fwang <fwang> 0.850.0-3.mga2
+ Revision: 145243
- rebuild for new libpng

* Mon Sep 05 2011 fwang <fwang> 0.850.0-2.mga2
+ Revision: 138652
- rebuild for updated perl build flag

* Tue Aug 30 2011 jquelin <jquelin> 0.850.0-1.mga2
+ Revision: 136634
- update to 0.85

* Tue Jun 21 2011 jquelin <jquelin> 0.840.0-1.mga2
+ Revision: 111451
- update to 0.84

* Wed Jun 15 2011 jquelin <jquelin> 0.830.0-1.mga2
+ Revision: 107006
- update to 0.83

* Sun Jun 12 2011 ahmad <ahmad> 0.820.0-2.mga2
+ Revision: 104587
- Rebuild for perl-5.14.0

* Wed Mar 16 2011 jquelin <jquelin> 0.820.0-1.mga1
+ Revision: 72350
- update to 0.82

* Tue Feb 22 2011 jquelin <jquelin> 0.810.0-1.mga1
+ Revision: 56663
- update to 0.79

* Fri Jan 21 2011 jquelin <jquelin> 0.790.0-1.mga1
+ Revision: 30599
- mageia rebuild
- imported package perl-Imager

